Loading...
Searching...
No Matches
Halide::Internal::LoweredFunc Struct Reference

Definition of a lowered function. More...

`#include <Module.h>`

## Public Member Functions

| LoweredFunc (const std::string &name, const std::vector< LoweredArgument > &args, Stmt body, LinkageType linkage, NameMangling mangling=NameMangling::Default)
| LoweredFunc (const std::string &name, const std::vector< Argument > &args, Stmt body, LinkageType linkage, NameMangling mangling=NameMangling::Default)

## Public Attributes

std::string | name
std::vector< LoweredArgument > | args
| Arguments referred to in the body of this function.
Stmt | body
| Body of this function.
LinkageType | linkage
| The linkage of this function.
NameMangling | name_mangling
| The name-mangling choice for the function.

## Detailed Description

Definition of a lowered function.

This object provides a concrete mapping between parameters used in the function body and their declarations in the argument list.

Definition at line 101 of file Module.h.

## Constructor & Destructor Documentation

## LoweredFunc() [1/2]

Halide::Internal::LoweredFunc::LoweredFunc | ( | const std::string & | name,
|  | const std::vector< LoweredArgument > & | args,
|  | Stmt | body,
|  | LinkageType | linkage,
|  | NameMangling | mangling = NameMangling::Default )

References args, body, Halide::Default, linkage, and name.

## LoweredFunc() [2/2]

Halide::Internal::LoweredFunc::LoweredFunc | ( | const std::string & | name,
|  | const std::vector< Argument > & | args,
|  | Stmt | body,
|  | LinkageType | linkage,
|  | NameMangling | mangling = NameMangling::Default )

References args, body, Halide::Default, linkage, and name.

## Member Data Documentation

## name

std::string Halide::Internal::LoweredFunc::name

Definition at line 102 of file Module.h.

Referenced by LoweredFunc(), and LoweredFunc().

## args

std::vector<LoweredArgument> Halide::Internal::LoweredFunc::args

Arguments referred to in the body of this function.

Definition at line 105 of file Module.h.

Referenced by LoweredFunc(), and LoweredFunc().

## body

Stmt Halide::Internal::LoweredFunc::body

Body of this function.

Definition at line 108 of file Module.h.

Referenced by LoweredFunc(), and LoweredFunc().

## linkage

LinkageType Halide::Internal::LoweredFunc::linkage

The linkage of this function.

Definition at line 111 of file Module.h.

Referenced by LoweredFunc(), and LoweredFunc().

## name_mangling

NameMangling Halide::Internal::LoweredFunc::name_mangling

The name-mangling choice for the function.

Defaults to using the Target.

Definition at line 115 of file Module.h.

The documentation for this struct was generated from the following file:

- src/Module.h